/*
Licensed Materials - Property of IBM
IBM WebSphere CloudBurst Appliance (9235-72X)
Copyright IBM Corporation 2009. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
*/
import zero.json.Json;

import groovy.rainmaker.logging.*;
import com.ibm.websphere.rainmaker.auditing.*;

def onList() {
    def filter = [:];
    zlist('/request/params').each {
        def parts = it.tokenize('/');
        if(parts.size()>2) {
            def name = parts[2];
            filter[name] = zget(it);
        }
    }

    zput('/request/headers/out/Content-Type', 'text/html')

    request.json.output = AuditDataHelper.getAuditDataInJSON(filter, false);
    request.view = "widgets/appliance/reportHTML.gt";
    render();
}


